#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k,h,kolvo=0;

    cin>>n>>k;
    bool used[2001];
    bool p[1001]={};
    for(int i=0;i<k;i++){
        cin>>h;
        p[h]=1;
    }

    for(int i=1;i<=n;i++){
        for(int j=1;j<=n;j++){
            if(p[i] || p[j])
                continue;
            else{
                if(!used[i+j]){
                    kolvo++;
                    used[i+j]=true;
                }
            }
        }
    }
    cout<<kolvo;




    return 0;
}















































